/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005-2011, Red Hat Middleware LLC, and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */


package org.jboss.messaging.util;

/**
 * A StatefulRunnable: A Runnable that can be set a state
 * 
 * Created Jul 4, 2011 11:57:32 AM
 *
 *
 */
public abstract class StatefulRunnable implements Runnable
{
   public static final int NORMAL = 0;
   public static final int NOT_SCHEDULED = -1;
   
   private volatile int state = NORMAL;

   public void setState(int state)
   {
      this.state = state;
   }
   
   public int getState()
   {
      return state;
   }
}
